import { Route, Routes } from "react-router-dom";
import "./assets/less/common.less";
import Layout from "./layout";
import Login from "./view/Login";
import { ConfigProvider as AntDesignConfigProvider } from "antd";
import zhCN from "antd/locale/zh_CN";

function App() {
  return (
    <AntDesignConfigProvider locale={zhCN}>
      <Routes>
        <Route index key={"login"} path={"/"} element={<Login />} />
        <Route key={"dash"} path={"/*"} element={<Layout />} />
        <Route path="*" element={<span>404</span>} />
      </Routes>
    </AntDesignConfigProvider>
  );
}

export default App;
