import { message } from "antd";
import axios from "axios";

const config = {
  baseURL: "",
  timeout: 1000 * 15,
  headers: {},
};

const instance = axios.create(config);

instance.interceptors.request.use(
  (config) => {
    return config;
  },
  (error) => {
    return Promise.reject(error);
  }
);

// Add a response interceptor
instance.interceptors.response.use(
  (response) => {
    const { msg, code } = response.data;
    switch (code) {
      case 10000:
        message.success(`接口: ${response.config.url}, 请求成功`);
        break;
      case 20000:
        message.error(`接口: ${response.config.url}, 遇到错误`);
        break;
      case 40000:
        message.error(msg);
        window.location.href = "/";
        break;
      default:
        // TODO ...
        break;
    }
    return response?.data;
  },
  (error) => {
    return Promise.reject(error);
  }
);

export default instance;
