import { useEffect } from "react";
import { useLocation, useNavigate } from "react-router-dom";
import Cookie from "js-cookie";

interface IGuardProps {
  children: JSX.Element;
}

export const Guard = (props: IGuardProps) => {
  const location = useLocation();
  const navigate = useNavigate();

  useEffect(() => {
    const sign = Cookie.get("_sign_admin");
    if (!sign) navigate("/");
  }, [location.pathname]);

  return props.children;
};
