import { Button, Checkbox, Form, Input, message } from "antd";
import { useNavigate } from "react-router-dom";
import { adminLogin } from "../../api";
import "./index.less";

const Login = () => {
  const navigate = useNavigate();

  const onFinish = (values: any) => {
    adminLogin(values).then((res: any) => {
      const { code } = res;
      if (code == 10000) {
        message.success("登录成功");
        navigate("/overview");
      } else {
        message.error(res.msg);
      }
    });
  };

  return (
    <div className="login">
      <div className="frosted">
        <div className="bird-one">
          <div className="beak"></div>
          <div className="neck">
            <div className="cir-blue"></div>
          </div>
          <div className="feathers">
            <div className="feather fe1"></div>
            <div className="feather fe2"></div>
            <div className="feather fe3"></div>
          </div>
          <div className="eye"></div>
        </div>
        <div className="content">
          <Form
            name="basic"
            labelCol={{ span: 8 }}
            wrapperCol={{ span: 16 }}
            style={{ maxWidth: 600 }}
            initialValues={{ remember: true }}
            onFinish={onFinish}
            autoComplete="off"
          >
            <Form.Item
              name="username"
              wrapperCol={{ span: 24 }}
              rules={[{ required: true, message: "请输入用户名" }]}
            >
              <Input placeholder="用户名" />
            </Form.Item>

            <Form.Item
              name="password"
              rules={[{ required: true, message: "请输入密码" }]}
              wrapperCol={{ span: 24 }}
            >
              <Input.Password placeholder="密码" />
            </Form.Item>

            <Form.Item wrapperCol={{ span: 24 }}>
              <Button type="primary" htmlType="submit" block>
                登录
              </Button>
            </Form.Item>
          </Form>
        </div>
      </div>
    </div>
  );
};

export default Login;
