import { Body, Context, Controller, Inject, Post } from '@midwayjs/core';
import { BizCode } from '../biz/code';
import { XCodeService } from '../service/xcode.service';

@Controller('/xcode')
export class XCodeController {
  @Inject()
  xcodeService: XCodeService;

  @Inject()
  ctx: Context;

  @Post('/admin/create')
  async create(@Body() codeList) {
    try {
      await this.xcodeService.create(codeList);
      return { code: BizCode.OK };
    } catch (error) {
      this.ctx.logger.error(error);
      return { code: BizCode.ERROR, msg: '[error] xcode/create error' };
    }
  }

  @Post('/admin/select/all')
  async selectAll() {
    const data = await this.xcodeService.selectAll();
    return { code: BizCode.OK, data };
  }
}
