// src/dto/user.ts
import { Rule, RuleType } from '@midwayjs/validate';

export class UserWebAuthDTO {
  @Rule(
    RuleType.string().required().length(11).error(new Error('手机号为11位数字'))
  )
  user_login: string;

  @Rule(RuleType.string().required().min(4).error(new Error('验证码4位数字')))
  user_pass: string;

  @Rule(RuleType.string().allow(''))
  xcode: string;
}

export class UserAdminAuthDTO {
  @Rule(RuleType.string().required())
  username: string;

  @Rule(RuleType.string().required())
  password: string;
}
