import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { XCode } from '../entity/xcode.entity';

@Provide()
export class XCodeService {
  @InjectEntityModel(XCode)
  xcodeModel: Repository<XCode>;

  async valid(code: string) {
    const row = await this.xcodeModel.findOne({ where: { code } });
    return row && row.user_id === -1;
  }

  async use(code: string, user_id: number) {
    await this.xcodeModel.update(
      { code },
      { user_id, user_usetime: '' + Date.now() }
    );
  }

  async create(codeList: XCode[]) {
    await this.xcodeModel.save(codeList);
  }

  async selectAll() {
    return await this.xcodeModel.query(
      'SELECT xcode.*,`user`.user_login FROM `xcode` LEFT JOIN `user` ON xcode.user_id = `user`.id'
    );
  }
}
