import { VodUploadClient, VodUploadRequest } from 'vod-node-sdk';

/**
 * 上传课程封面图片
 * @param {string} tmpPath 图片上传midwayjs缓存的地址
 */
export const uploadImagePromise = (tmpPath: string, subAppId: number) => {
  const { SECRET_ID, SECRET_KEY } = process.env;
  const client = new VodUploadClient(SECRET_ID, SECRET_KEY);
  const req = new VodUploadRequest();
  req.MediaFilePath = tmpPath;
  req.SubAppId = subAppId;
  return new Promise((resolve, reject) => {
    client.upload('ap-shanghai', req, (err, data) => {
      err ? reject(err) : resolve(data);
    });
  });
};
