import { Button, Result } from "@arco-design/web-react";
import { useEffect } from "react";
import { useLocation, useNavigate } from "react-router-dom";
import Cookies from "js-cookie";
import { useUserStore } from "../store/user.store";

interface IGuardProps {
  children: JSX.Element;
}

const needAuthList = ["course/detail"];

export const Guard = (props: IGuardProps) => {
  const navigate = useNavigate();
  const user = useUserStore((s: any) => s.user);
  const fetchUser = useUserStore((s: any) => s.fetchUser);

  const Result403 = (
    <div style={{ paddingTop: 100 }}>
      <Result
        status="403"
        subTitle="无权访问，请登录"
        extra={
          <Button type="primary" onClick={() => navigate("/login")}>
            登录
          </Button>
        }
      />
    </div>
  );

  const location = useLocation();
  const sign = Cookies.get("_sign_web");
  const needAuth = needAuthList.some((p) => location.pathname.indexOf(p) > -1);

  useEffect(() => {
    console.log(user);
    console.log("location.pathname changed 拦截", location.pathname);
    if (!user) fetchUser();
  }, [location.pathname]);

  if (!sign && needAuth) return Result403;
  return props.children;
};
