import dayjs from "dayjs";

export const processTime = (before: any[]) => {
  const after: any = {};
  // 提取月份,塞入数据
  before.forEach((item) => {
    const year = dayjs(+item.course_createtime).year();
    const month = dayjs(+item.course_createtime).month() + 1;
    if (!(year in after)) after[year] = { [month]: [] };
    if (!(month in after[year])) after[year][month] = [];
    after[year][month].push(item);
  });
  // 年月为key，倒叙排列
  const compare = (key: string) => (a: any, b: any) => b[key] - a[key];
  const ymArray = Object.keys(after)
    .reverse()
    .map((year) => {
      return Object.keys(after[year]).map((month) => ({
        year,
        month,
        index: +`${year}.${+month >= 10 ? month : "0" + month}`,
        data: after[year][month],
      }));
    })
    .flat()
    .sort(compare("index"));

  return ymArray;
};
