import { useEffect, useRef } from "react";
import DPlayer, { DPlayerOptions } from "dplayer";
import "./index.less";

interface IProps {
  video: {
    url: string;
    pic: string;
  };
}

function Player(props: IProps) {
  const playerRef = useRef<any>();
  const instanceRef = useRef<any>();

  useEffect(() => {
    if (props.video) {
      instanceRef.current = new DPlayer({
        container: playerRef.current,
        video: { ...props.video, type: "hls" },
        preload: "auto",
        playbackSpeed: [0.5, 0.75, 1, 1.25, 1.5, 2],
        screenshot: true,
        pluginOptions: {
          hls: {},
        },
      });
    }
    return () => {
      instanceRef.current.destroy();
    };
  }, [props.video]);

  return <div id="vs" ref={playerRef} style={{ height: "100%" }}></div>;
}

export default Player;
