import { useEffect, useRef, useState } from "react";
import { useMount, useScript } from "../../../../hook";
import hljs from "highlight.js";
import "highlight.js/styles/atom-one-dark.css";

interface IProps {
  html: string;
}

function Guide(props: IProps) {
  const [html, setHtml] = useState<string>("");

  const highlightRender = () =>
    document.querySelectorAll("code").forEach((block) => {
      hljs.highlightBlock(block);
    });

  useEffect(() => {
    if (props.html) {
      setHtml(props.html);
    }
  }, [props.html]);

  useEffect(() => {
    highlightRender();
  }, [html]);

  return (
    <div
      style={{
        maxWidth: 1120,
        margin: "0 auto",
        overflow: "hidden",
        padding: "0 24px",
      }}
    >
      <article
        dangerouslySetInnerHTML={{ __html: html }}
        className="markdown-body"
      />
    </div>
  );
}

export default Guide;
